@import theme

.info
    padding: 40px 30px
    box-sizing: border-box
    margin-bottom: 10px

    background-color: $foregroundColor
    box-shadow: 0 0 20px -5px rgba(33, 33, 33, 0.25)

    h2
        font-size: 1.75em
        color: $primaryColor

    h3
        color: $primaryColor
        margin-top: 20px

    .description
        display: flex
        align-items: center

        margin: 0

        font-size: 14px
        font-weight: 300

        > b
            font-weight: 500

        > mat-icon
            margin-right: 5px

            width: auto
            height: auto
            font-size: 14px

    > p + p
        margin-top: 10px

.top-actions
    display: flex
    justify-content: flex-end
    align-items: center

    max-width: $maxContentSize
    margin-right: auto
    margin-left: auto

    .add-button
        margin-right: 20px

        border-radius: 0
        font-weight: 300

        mat-icon
            display: inline-flex
            width: 14px
            height: 14px
            line-height: 36px

.legend
    display: flex
    justify-content: space-between
    align-items: center
    flex-wrap: wrap
    // to break line

    padding: 1em 1.25em
    box-sizing: border-box
    margin-bottom: 10px

    border-bottom: 1px solid #a2a2a2
    color: #a2a2a2
    font-weight: 500

    .exercise
        flex: 0 1 250px

    .circuit
        flex: 0 1 100px
        text-align: center

    .reps
        flex: 0 1 200px
        text-align: center

    .sets
        flex: 0 1 100px
        text-align: center

    .actions
        flex: 0 1 200px

        > * + *
            margin-left: 10px

.exercises
    > * + *
        display: block
        margin-top: 10px
